package com.ozs.common.core.domain.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ozs.common.annotation.Excel;
import com.ozs.common.annotation.Excel.Type;
import com.ozs.common.annotation.Excels;
import com.ozs.common.core.domain.BaseEntity;
import com.ozs.common.xss.Xss;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.validation.constraints.Email;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 用户对象 sys_user
 *
 * @author hx
 */
@Data
public class SysUsers implements Serializable {
    private static final long serialVersionUID = 1L;
    
    /**
     * 用户账号
     */
    @Excel(name = "登录名称")
    private String userName;

    /**
     * 真实姓名
     */
    @Excel(name = "真实姓名")
    private String nickName;

    /**
     * 用户邮箱
     */
    @Excel(name = "用户邮箱")
    private String email;

    /**
     * 手机号码
     */
    @Excel(name = "手机号码")
    private String phoneNum;

    /**
     * 用户性别
     */
    @Excel(name = "用户性别", readConverterExp = "1=男,2=女,2=未知")
    private Integer sex;
    /**
     * 帐号状态（1正常 2停用）
     */
    @Excel(name = "帐号状态", readConverterExp = "1=正常,2=停用")
    private Integer status;
    
    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;
    
    /** 角色名称 */
    @Excel(name = "角色名称")
    private String roleName;
}
