package com.ozs.common.core.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.annotation.Excel;
import com.ozs.common.vo.PageVo;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wyy
 * @subject
 * @creat 2023/3/15
 */
@Data
public class SysOperlogVo extends PageVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 操作序号
     */
    private Long operId;

    /**
     * 操作模块
     */
    private String title;

    /**
     * 业务类型
     */
    private Integer businessType;
    private Integer[] businessTypes;

    /**
     * 请求方法
     */
    private String method;

    /**
     * 请求方式
     */
    private String requestMethod;

    /**
     * 操作类别
     */
    private Integer operatorType;

    /**
     * 操作人员
     */
    private String userId;

    /**
     * 操作人员
     */
    private String userName;

    /**
     * 部门名称
     */
    private String deptName;

    /**
     * 请求地址
     */
    private String operUrl;

    /**
     * 操作地址
     */
    private String operIp;

    /**
     * 操作地点
     */
    private String operLocation;

    /**
     * 请求参数
     */
    private String operParam;

    /**
     * 返回参数
     */
    private String jsonResult;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 错误消息
     */
    private String errorMsg;

    /**
     * 操作时间
     */
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    private Date operTime;

    /**
     * 操作开始时间
     */
    @JsonFormat(
            pattern = "yyyy-MM-dd"
    )
    private Date startTime;

    /**
     * 操作结束时间
     */
    @JsonFormat(
            pattern = "yyyy-MM-dd"
    )
    private Date endTime;
}
