package com.ozs.system.mapper;

import java.util.List;

import com.ozs.common.core.domain.entity.SysDictType;
import com.ozs.system.domain.SysLoginInfo;
import com.ozs.system.domain.SysLoginInfo;
import icu.mhb.mybatisplus.plugln.base.mapper.JoinBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 系统访问日志情况信息 数据层
 *
 * @author hx
 */
@Mapper
public interface SysLoginInfoMapper extends JoinBaseMapper<SysLoginInfo> {
    /**
     * 新增系统登录日志
     *
     * @param logininfor 访问日志对象
     */
    public void insertLogininfor(SysLoginInfo logininfor);

    /**
     * 查询系统登录日志集合
     *
     * @param logininfor 访问日志对象
     * @return 登录记录集合
     */
    public List<SysLoginInfo> selectLogininforList(SysLoginInfo logininfor);

    /**
     * 批量删除系统登录日志
     *
     * @param infoIds 需要删除的登录日志ID
     * @return 结果
     */
    public int deleteLogininforByIds(Long[] infoIds);

    /**
     * 清空系统登录日志
     *
     * @return 结果
     */
    public int cleanLogininfor();

    SysLoginInfo selectLoginLogById (Long infoId);

    SysLoginInfo getLoginTime(@Param("userName") String userName);
}
