package com.ozs.system.service.impl;

import java.util.List;

import com.ozs.common.core.domain.entity.SysDictType;
import com.ozs.system.mapper.SysDictTypeMapper;
import icu.mhb.mybatisplus.plugln.base.service.impl.JoinServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ozs.system.domain.SysLoginInfo;
import com.ozs.system.mapper.SysLoginInfoMapper;
import com.ozs.system.service.ISysLoginInfoService;

/**
 * 系统访问日志情况信息 服务层处理
 *
 * @author hx
 */
@Service
public class SysLoginInfoServiceImpl extends JoinServiceImpl<SysLoginInfoMapper, SysLoginInfo> implements ISysLoginInfoService {

    @Autowired
    private SysLoginInfoMapper logininforMapper;

    /**
     * 新增系统登录日志
     *
     * @param logininfor 访问日志对象
     */
    @Override
    public void insertLogininfor(SysLoginInfo logininfor) {
        logininforMapper.insertLogininfor(logininfor);
    }

    /**
     * 查询系统登录日志集合
     *
     * @param logininfor 访问日志对象
     * @return 登录记录集合
     */
    @Override
    public List<SysLoginInfo> selectLogininforList(SysLoginInfo logininfor) {
        return logininforMapper.selectLogininforList(logininfor);
    }

    /**
     * 批量删除系统登录日志
     *
     * @param infoIds 需要删除的登录日志ID
     * @return 结果
     */
    @Override
    public int deleteLogininforByIds(Long[] infoIds) {
        return logininforMapper.deleteLogininforByIds(infoIds);
    }

    /**
     * 清空系统登录日志
     */
    @Override
    public void cleanLogininfor() {
        logininforMapper.cleanLogininfor();
    }

    @Override
    public SysLoginInfo getLoginTime(String userName) {
        return logininforMapper.getLoginTime(userName);
    }

    /**
     * 查询登录日志详细
     *
     * @param infoId 日志ID
     * @return 登录日志对象
     */
    @Override
    public SysLoginInfo selectLoginLogById(Long infoId) {
        return logininforMapper.selectLoginLogById(infoId);
    }
}
